Subject: no subject (file transmission)

From: Cen Huang <[email-masked]>
Date: Fri, 11 Sep 1992 11:36:03 CDT

Hi, folks!

    Here I want to raise a topic of Chinese computing. Maybe it can't
be answered by one or two emails. I hope that this discussion will
have lasted for a period of time and experts in this area would share
their experience with all of us.

    My question is that, based on PC, how to show Chinese characters
on the screen, and to print Chinese to a printer ?

    I am very interested in Chinese computing. But this question is
still a difficulty for me. I have done some research on it. The following
is what I understand this technology so far.

    I noticed that some Chinese programs contains some files called
cclib.16, cclibf.16, or similar files with different names. I think that
these files contain the information of all characters. For example,
cclib.16, contains all simplified characters. Those files are a bitmap
file. Each character occupies 1x16 bytes. They are arranged in the
following way:

       ********.... ****** ****** ....
      |<-- 1x16 bytes ? -->|
        one character        next character
      ^                    ^
      |                    |
     addr for (?)         addr for (?)
     this char            next char

Here I put "?" there because I am not sure and never have a chance to
verify it, just guess.

Addresses are very important, which determines whether all characters
are arranged in GB standard or BIG5 standard, or others.

    To show a chinese character on the screen, the mode has to be
changed to graphics mode, and then read the character from the
corresponding address in the file cclib.16, for example (of course
open the file first). After that, put these bytes to the screen memory,
or the cursor position.

    To print a character is in the similar way, send the character to a
printer instead of screen.

    All of above explanations are my imagination, or based on my computer
knowledge. However, I need expert or whoever knows the trick to help me to
correct any mistakes. Can any one give us any correct answers. I prefer to
see examples to illustrate the mechanism of Chinese computing, eg., a
piece of C coded program.

    I think that this kind of discussion will benefit to the people who have
interest in developing Chinese programs. We may find a standard or an
efficient way to write Chinese programs. Furthermore, more people will
involve in Chinese computing and we shall see more wonderful applications.

D. Chu